Document
List document versions
Retrieve a paginated list of versions for a specific document.
GET
/
api
/
projects
/
{projectId}
/
documents
/
{documentId}
/
versions
List document versions
curl --request GET \
--url https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"content": "<unknown>",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "<string>",
"versions": [
"<unknown>"
],
"releases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
Document unique identifier
Project unique identifier
Query Parameters
Current page
Number of items per page
Was this page helpful?
⌘I
List document versions
curl --request GET \
--url https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://acme.us1.gorules.io/api/projects/{projectId}/documents/{documentId}/versions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"content": "<unknown>",
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "<string>",
"versions": [
"<unknown>"
],
"releases": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": "<string>"
}
]
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}